/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.common.db.entity;

import net.northking.cctp.common.db.POJO;

import java.util.Date;

/**
 * 数据库实体对象接口
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public interface Entity extends POJO
{
  /**
   * 创建人<br>
   */
  String getCreatedBy();

  /**
   * 创建人<br>
   *
   * @param creator 创建人
   */
  void setCreatedBy(String creator);

  /**
   * 创建时间<br>
   */
  Date getCreatedTime();

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  void setCreatedTime(Date createdTime);

  /**
   * 更新人<br>
   */
  String getUpdatedBy();

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  void setUpdatedBy(String updatedBy);

  /**
   * 更新时间<br>
   */
  Date getUpdatedTime();

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  void setUpdatedTime(Date updatedTime);
}
